[vdr] [patch] compil vdr-1.7.4 against v4l-dvb hg as of today

Klaus Schmidinger Klaus.Schmidinger at cadsoft.de
Fri Mar 6 15:17:57 CET 2009


On 03.03.2009 22:23, Gregoire Favre wrote:
> Hello,
> 
> just tried compiling vdr-1.7.4 against my v4l-dvb hg's source which
> fails if I don't use this :
> 
> --- vdr.c~      2009-01-18 12:02:37.000000000 +0100
> +++ vdr.c       2009-03-03 22:17:49.000000000 +0100
> @@ -32,6 +32,7 @@
>  #include <pwd.h>
>  #include <signal.h>
>  #include <stdlib.h>
> +#include <linux/types.h>
>  #include <sys/capability.h>
>  #include <sys/prctl.h>
>  #include <termios.h>

vdr.c compiles just fine here with the most recent version of v4l-dvb from
linuxtv.org (6bd427caa0cb).

I did report a problem with the driver's header files, though, in

  http://linuxtv.org/pipermail/linux-dvb/2009-March/031934.html

However, there has been no repsonse to that, and the problem still
persists with the current version.

Just curious: don't you have a problem compiling dvbdevice.c?

Klaus




More information about the vdr mailing list